/*!
 * quench-vue v0.10.0-beta.0 - http://mattstow.com
 * MIT Licensed
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["quenchVue"] = factory();
	else
		root["quenchVue"] = factory();
})(window, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(1);


/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./src/utils/arrayFrom.js
/* harmony default export */ var arrayFrom = (Array.from || function (object) {
  return [].slice.call(object);
});
// CONCATENATED MODULE: ./src/convertBindingsToObject.js


var parseString = function parseString(str) {
  try {
    return JSON.parse(str);
  } catch (e) {
    return str;
  }
};

var convertBindingsToObject_convertBindingsToObject = function convertBindingsToObject(app) {
  if (!app.attributes['q-convert-bindings']) {
    return;
  }

  var commentBindings = app.innerHTML.match(/<!--\s*q-binding:\w+\[?(\d+)?\]?(\.\w+)?\s*=\s*.*?\s*-->/g);
  var elementBindings = app.querySelectorAll('[q-binding]');
  var dataObj = {};

  if (commentBindings) {
    dataObj = commentBindings.reduce(function (obj, binding) {
      var _$exec = /(\w+)\[?(\d+)?\]?(\.(\w+))?\s*=\s*(.*?)\s*-->/.exec(binding),
          name = _$exec[1],
          index = _$exec[2],
          dot = _$exec[3],
          prop = _$exec[4],
          value = _$exec[5];

      var parsedValue = parseString(value);

      if (index) {
        obj[name] = obj[name] || [];

        if (dot) {
          obj[name][index] = obj[name][index] || {};

          obj[name][index][prop] = parsedValue;
        } else {
          obj[name][index] = parsedValue;
        }
      } else if (dot) {
        obj[name] = obj[name] || {};

        obj[name][prop] = parsedValue;
      } else {
        obj[name] = parsedValue;
      }

      return obj;
    }, dataObj);
  }

  return arrayFrom(elementBindings).reduce(function (obj, binding) {
    var bindingValue = binding.attributes['q-binding'].value;
    var parsedValue = parseString(binding.textContent);

    if (bindingValue.indexOf(' as ') > 0) {
      if (bindingValue.indexOf('[') > 0) {
        var _$exec2 = /(\w+)\[(\d+)\](\.)?(.*)/.exec(bindingValue),
            name = _$exec2[1],
            index = _$exec2[2],
            dot = _$exec2[3],
            prop = _$exec2[4];

        obj[name] = obj[name] || [];

        if (dot) {
          obj[name][index] = obj[name][index] || {};

          obj[name][index][prop.split(' as ')[0].trim()] = parsedValue;
        } else {
          obj[name][index] = parsedValue;
        }
      } else {
        var _$exec3 = /(\w+)\.(\w+)\s.*/.exec(bindingValue),
            _name = _$exec3[1],
            _prop = _$exec3[2];

        obj[_name] = obj[_name] || {};
        obj[_name][_prop] = parsedValue;
      }
    } else if (binding.textContent) {
      obj[bindingValue] = parsedValue;
    }

    return obj;
  }, dataObj);
};

/* harmony default export */ var src_convertBindingsToObject = (convertBindingsToObject_convertBindingsToObject);
// CONCATENATED MODULE: ./src/utils/objectAssign.js
/* harmony default export */ var objectAssign = (Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
});
// CONCATENATED MODULE: ./src/convertDataToObject.js


var convertDataToObject_convertDataToObject = function convertDataToObject(app) {
  var data = void 0;
  var rData = void 0;

  if (app.attributes['q-data']) {
    try {
      data = JSON.parse(app.attributes['q-data'].value);
    } catch (e) {
      // Do nothing
    }
  }

  if (app.attributes['q-r-data']) {
    try {
      rData = JSON.parse(app.attributes['q-r-data'].value);

      Object.keys(rData).forEach(function (key) {
        var keyArray = rData[key].split('.');
        var initKeyValue = window[keyArray[0]];
        var keyValue = initKeyValue && keyArray.length > 1 ?
        // eslint-disable-next-line arrow-body-style
        keyArray.reduce(function (obj, newKey, index) {
          return obj[newKey] || (index === keyArray.length - 1 ? undefined : obj);
        }, initKeyValue) : initKeyValue;

        rData[key] = keyValue;
      });
    } catch (e) {
      // Do nothing
    }
  }

  return objectAssign({}, data, rData);
};

/* harmony default export */ var src_convertDataToObject = (convertDataToObject_convertDataToObject);
// CONCATENATED MODULE: ./src/createAppData.js




var createAppData_createAppData = function createAppData(app) {
  return objectAssign({}, src_convertBindingsToObject(app), src_convertDataToObject(app));
};

/* harmony default export */ var src_createAppData = (createAppData_createAppData);
// CONCATENATED MODULE: ./src/createAppTemplate.js
var createAppTemplate = function createAppTemplate(app, template) {
  var quenchedClassName = (app.className + ' quenched').replace(/\bpre-quench\b/g, '');
  var html = app.outerHTML.replace(/<!--\s*<q>\s*-->[\s\S]*?<!--\s*<\/q>\s*-->/g, '').replace(/<!--\s*q-binding:.*?-->/g, '').replace(/\sq-binding=".*?\s+as\s+/g, ' q-binding="').replace(/q-binding="/g, 'v-text="').replace(/(\sv-(text|html).*?>)[\s\S]*?<\//g, '$1</').replace(/(?:<!--\s*)?<q-template><\/q-template>(\s*-->)?/, template || '');

  if (app.hasAttribute('class')) {
    return html.replace(/(class=")[\s\S]*?"/, '$1' + quenchedClassName + '"');
  }

  return html.replace(/(<.*?\s)/, '$1class="' + quenchedClassName + '"');
};

/* harmony default export */ var src_createAppTemplate = (createAppTemplate);
// CONCATENATED MODULE: ./src/createComponentTemplates.js
var createComponentTemplates = function createComponentTemplates(app, components) {
  if (!components) {
    return null;
  }

  Object.keys(components).forEach(function (key) {
    var component = components[key];

    if (component.components) {
      component.components = createComponentTemplates(app, component.components);
    }

    if (component.template === 'local') {
      var selector = key.replace(/(.+?)([A-Z])/g, '$1-$2').toLowerCase();
      var componentEl = app.querySelector('[q-component="' + selector + '"]');

      if (componentEl) {
        component.template = (componentEl.tagName === 'TEMPLATE' ? componentEl.innerHTML : componentEl.outerHTML).replace(/(\sv-(text|html).*?>)[\s\S]*?<\//g, '$1</').replace(/<!--\s*<q-component>\s*-->[\s\S]*?<!--\s*<\/q-component>\s*-->/g, '').replace(/(?:<!--\s*)?<q-component-partial\s+name=["'](.*?)["']\s*><\/q-component-partial>(\s*-->)?/g, function (match, p1) {
          if (component.partials && component.partials[p1]) {
            return component.partials[p1];
          }

          return '';
        });
      }
    }
  });

  return components;
};

/* harmony default export */ var src_createComponentTemplates = (createComponentTemplates);
// CONCATENATED MODULE: ./src/index.js
/* concated harmony reexport */__webpack_require__.d(__webpack_exports__, "createAppData", function() { return src_createAppData; });
/* concated harmony reexport */__webpack_require__.d(__webpack_exports__, "createAppTemplate", function() { return src_createAppTemplate; });
/* concated harmony reexport */__webpack_require__.d(__webpack_exports__, "createComponentTemplates", function() { return src_createComponentTemplates; });







/***/ })
/******/ ])["default"];
});